TEMPROOTR=`pwd`
Rver=2-15

echo =============================================
echo =============================================
echo    ARQUIVOS FONTE R - VERSAO  $Rver
echo =============================================
echo =============================================

# checando argumentos
for i in "$@"; do
        case $i in
        --h|--help)
            printf "Opces:\n"
            printf " --deps\n"
            printf " --no-download\n"
            printf " --install\n"
            printf " --compile\n"
            exit 0;;
        --deps|--no-download|--install|--no-compile) ;;
        *) printf "Argumento invlido: $i\nTente --help para possveis argumentos\n"
           exit 1;
        esac
done


echo =============================================
echo =============================================
echo    ARQUIVOS FONTES R -  VERSAO  $Rver
echo =============================================
echo =============================================



# instalando dependencias e convenincias:
if echo $@|grep -e --deps 1>/dev/null
then
    aptitude install subversion libicu-dev rsync automake autoconf gawk bison byacc ibsdtar acroread texlive-latex-base texlive-latex-extra texlive-latex-recommended gfortran liblapack-dev libblas-dev bzip2 gcc g++ libreadline-dev libjpeg-dev texinfo build-essential gobjc++ xorg-dev libicu-dev libpng-dev libpango1.0-dev libpango1.0 libcairo2 libcairo2-dev guile-cairo-dev tcl-dev tk-dev libjava3d-jni libsetools-jni javacc valgrind xmkmf javahelper libjarjar-java libtiff4-dev libtiff-tools libtiff4 libfreeimage-dev libgeotiff-dev java-compiler libjsr107cache-java libjogl-jni libsetools-jni libgl1-mesa-dev libglu1-mesa-dev libxml2-dev libtiff-opengl ivtools-dev tdl gobjc++ guile-cairo-dev javahelper libgeotiff-dev libglu1-mesa-dev libicu-dev libjarjar-java libjava3d-jni libjogl-jni libjpeg-dev libjsr107cache-java liblapack-dev libpango1.0-common libpango1.0-dev libpng-dev libsetools-jni libsetools-jni libtiff4-dev libxml2-dev rsync texinfo tk-dev valgrind texlive-latex-extra 

else
        printf "Nao instalando dependencias, o R ou alguns pacotes podem nao compilar dependendo do que voce tem instalado no seu sistema.\n Para instalar dependencias automaticamente utilize opcao --deps\nVeja opcoes com --help \n"        
fi


echo =============================================
echo =============================================
echo     ARQUIVOS FONTE  R-VERSAO  $Rver
echo =============================================
echo =============================================


cd
mkdir -p R

if echo $@|grep -e --no-download 1>/dev/null
then
        printf "NO atualizando do repositorio subversion\n"
else
	svn checkout https://svn.r-project.org/R/branches/R-$Rver-branch/ R
	cd R
	./tools/rsync-recommended
	./tools/link-recommended
	cd ..
fi

if echo $@|grep -e --no-compile 1>/dev/null
then
	printf "No compilando o R\n"
else
	rm -rf RT
	mkdir RT
	cd RT
#../R-$Rver/configure --with-gnome --with-tcltk --enable-R-shlib
	../R/configure --with-tcltk --enable-R-shlib --with-recommended-packages --with-valgrind-instrumentation --enable-memory-profiling --with-system-bzlib --with-blas --with-lapack --enable-R-static-lib  --enable-BLAS-shlib

	make
	make vignettes
	make pdf
	make info
#\rm -rf /usr/local/lib/R
fi
	

echo =============================================
echo =============================================
echo     ARQUIVOS FONTE R - VERSAO  $Rver
echo =============================================
echo =============================================

if echo $@|grep -e --install 1>/dev/null
then
	make install
	make install-pdf
	make install-info
	cd ..
	rm -rf RT
else
	printf "Nao instalando, apenas compilando\n"
	cd ..
fi

#\rm /usr/bin/R
#ln -s /usr/local/R/bin/R /usr/bin/R

#cd
#R CMD BATCH bin/minipkg.R
#R CMD BATCH bin/instala.pacotes.R

echo =============================================
echo =============================================
echo    ARQUIVOS FONTE R - VERSAO  $Rver
echo =============================================
echo =============================================


#echo =============================================
#echo PJ: no esqueca de mudar o Rd.sty !!!
#echo newcommand{\Link} para providecommand{\Link}
#echo =============================================

cd $TEMPROOTR
